library(shiny)
              
shinyUI(fluidPage(

  titlePanel("Power of a Test"),
  
  
  sidebarLayout(
    sidebarPanel(
      HTML("<a class='btn' href='/'><b>Reset</b></a>"),
      numericInput("n", "Number of Events:", 100,
             min = 10, max = 1000),
      sliderInput("p",HTML("Population Success Probability &pi;"),
           min=0.05, max=0.95, value=0.5,step=0.05),   
      sliderInput("p0","Hypothesized p",
           min=0.05, max=0.95, value=0.5,step=0.05),   
     
      selectInput("alpha", "Type I error alpha", 
           choices = c(0.01,0.05,0.1),selected=0.05),
      uiOutput("appinfo"),width=3            
    ),
  mainPanel(
      uiOutput("text1"),
      plotOutput("plot")
    )
  ),
  uiOutput("ExplainText")
))

